libstdc++: string_view File Reference

libstdc++

string_view File Reference
Technical Specifications » Library Fundamentals TS

Go to the source code of this file.

## Classes
class | std::experimental::fundamentals_v1::basic_string_view< _CharT, _Traits >

## Namespaces
namespace | std
namespace | std::experimental

## Macros
#define | __cpp_lib_experimental_string_view
#define | _GLIBCXX_EXPERIMENTAL_STRING_VIEW

## Typedefs
using | std::experimental::string_view
using | std::experimental::u16string_view
using | std::experimental::u32string_view
using | std::experimental::wstring_view

## Functions
template<typename _CharT, typename _Traits>
constexpr bool | std::experimental::operator!= (__type_identity_t< basic_string_view< _CharT, _Traits > > __x, basic_string_view< _CharT, _Traits > __y) noexcept
template<typename _CharT, typename _Traits>
constexpr bool | std::experimental::operator!= (basic_string_view< _CharT, _Traits > __x, __type_identity_t< basic_string_view< _CharT, _Traits > > __y) noexcept
template<typename _CharT, typename _Traits>
constexpr bool | std::experimental::operator!= (basic_string_view< _CharT, _Traits > __x, basic_string_view< _CharT, _Traits > __y) noexcept
constexpr basic_string_view< char > | std::experimental::literals::operator""sv (const char *__str, size_t __len) noexcept
constexpr basic_string_view< char16_t > | std::experimental::literals::operator""sv (const char16_t *__str, size_t __len) noexcept
constexpr basic_string_view< char32_t > | std::experimental::literals::operator""sv (const char32_t *__str, size_t __len) noexcept
constexpr basic_string_view< wchar_t > | std::experimental::literals::operator""sv (const wchar_t *__str, size_t __len) noexcept
template<typename _CharT, typename _Traits>
constexpr bool | std::experimental::operator< (__type_identity_t< basic_string_view< _CharT, _Traits > > __x, basic_string_view< _CharT, _Traits > __y) noexcept
template<typename _CharT, typename _Traits>
constexpr bool | std::experimental::operator< (basic_string_view< _CharT, _Traits > __x, __type_identity_t< basic_string_view< _CharT, _Traits > > __y) noexcept
template<typename _CharT, typename _Traits>
constexpr bool | std::experimental::operator< (basic_string_view< _CharT, _Traits > __x, basic_string_view< _CharT, _Traits > __y) noexcept
template<typename _CharT, typename _Traits>
basic_ostream< _CharT, _Traits > & | std::experimental::operator<< (basic_ostream< _CharT, _Traits > &__os, basic_string_view< _CharT, _Traits > __str)
template<typename _CharT, typename _Traits>
constexpr bool | std::experimental::operator<= (__type_identity_t< basic_string_view< _CharT, _Traits > > __x, basic_string_view< _CharT, _Traits > __y) noexcept
template<typename _CharT, typename _Traits>
constexpr bool | std::experimental::operator<= (basic_string_view< _CharT, _Traits > __x, __type_identity_t< basic_string_view< _CharT, _Traits > > __y) noexcept
template<typename _CharT, typename _Traits>
constexpr bool | std::experimental::operator<= (basic_string_view< _CharT, _Traits > __x, basic_string_view< _CharT, _Traits > __y) noexcept
template<typename _CharT, typename _Traits>
constexpr bool | std::experimental::operator== (__type_identity_t< basic_string_view< _CharT, _Traits > > __x, basic_string_view< _CharT, _Traits > __y) noexcept
template<typename _CharT, typename _Traits>
constexpr bool | std::experimental::operator== (basic_string_view< _CharT, _Traits > __x, __type_identity_t< basic_string_view< _CharT, _Traits > > __y) noexcept
template<typename _CharT, typename _Traits>
constexpr bool | std::experimental::operator== (basic_string_view< _CharT, _Traits > __x, basic_string_view< _CharT, _Traits > __y) noexcept
template<typename _CharT, typename _Traits>
constexpr bool | std::experimental::operator> (__type_identity_t< basic_string_view< _CharT, _Traits > > __x, basic_string_view< _CharT, _Traits > __y) noexcept
template<typename _CharT, typename _Traits>
constexpr bool | std::experimental::operator> (basic_string_view< _CharT, _Traits > __x, __type_identity_t< basic_string_view< _CharT, _Traits > > __y) noexcept
template<typename _CharT, typename _Traits>
constexpr bool | std::experimental::operator> (basic_string_view< _CharT, _Traits > __x, basic_string_view< _CharT, _Traits > __y) noexcept
template<typename _CharT, typename _Traits>
constexpr bool | std::experimental::operator>= (__type_identity_t< basic_string_view< _CharT, _Traits > > __x, basic_string_view< _CharT, _Traits > __y) noexcept
template<typename _CharT, typename _Traits>
constexpr bool | std::experimental::operator>= (basic_string_view< _CharT, _Traits > __x, __type_identity_t< basic_string_view< _CharT, _Traits > > __y) noexcept
template<typename _CharT, typename _Traits>
constexpr bool | std::experimental::operator>= (basic_string_view< _CharT, _Traits > __x, basic_string_view< _CharT, _Traits > __y) noexcept

## Variables
template<typename _CharT, typename _Traits>
constexpr bool | std::ranges::enable_borrowed_range< experimental::basic_string_view< _CharT, _Traits > >
template<typename _CharT, typename _Traits>
constexpr bool | std::ranges::enable_view< experimental::basic_string_view< _CharT, _Traits > >

## Detailed Description

This is a TS C++ Library header.

Definition in file experimental/string_view.

## Macro Definition Documentation

## ◆ __cpp_lib_experimental_string_view

#define __cpp_lib_experimental_string_view

Definition at line 58 of file experimental/string_view.

## ◆ _GLIBCXX_EXPERIMENTAL_STRING_VIEW

#define _GLIBCXX_EXPERIMENTAL_STRING_VIEW

Definition at line 35 of file experimental/string_view.

## Function Documentation

## ◆ operator""sv() [1/4]

basic_string_view< char > std::experimental::literals::string_view_literals::operator""sv | ( | const char * | __str,
|  | size_t | __len )
| inlineconstexprnoexcept

Definition at line 665 of file experimental/string_view.

## ◆ operator""sv() [2/4]

basic_string_view< char16_t > std::experimental::literals::string_view_literals::operator""sv | ( | const char16_t * | __str,
|  | size_t | __len )
| inlineconstexprnoexcept

Definition at line 679 of file experimental/string_view.

## ◆ operator""sv() [3/4]

basic_string_view< char32_t > std::experimental::literals::string_view_literals::operator""sv | ( | const char32_t * | __str,
|  | size_t | __len )
| inlineconstexprnoexcept

Definition at line 683 of file experimental/string_view.

## ◆ operator""sv() [4/4]

basic_string_view< wchar_t > std::experimental::literals::string_view_literals::operator""sv | ( | const wchar_t * | __str,
|  | size_t | __len )
| inlineconstexprnoexcept

Definition at line 669 of file experimental/string_view.

## Variable Documentation

## ◆ enable_borrowed_range< experimental::basic_string_view< _CharT, _Traits > >

template<typename _CharT, typename _Traits>

bool std::ranges::enable_borrowed_range< experimental::basic_string_view< _CharT, _Traits > >
| inlineconstexpr

Definition at line 695 of file experimental/string_view.

## ◆ enable_view< experimental::basic_string_view< _CharT, _Traits > >

template<typename _CharT, typename _Traits>

bool std::ranges::enable_view< experimental::basic_string_view< _CharT, _Traits > >
| inlineconstexpr

Definition at line 701 of file experimental/string_view.